#ifndef _USB_BF535CMD
#define _USB_BF535CMD

//#define MAX_USB_EP_DATA 1023		// this is the max the BF535 can handle
//#define MAX_USB_EP_DATA 960		// this is the max multiple of 64 that
									// the BF535 can handle which won't result
									// in a short packet if packet size is 64
#define MAX_USB_EP_DATA 512			// this is the max that will let you fill
									// the 2kB USB DMA buffer address space
									// which will not result in a "wrap around"
									// affect, rather it will end on the 2kB
									// boundary
										
#define HOST_REQUEST_RX_DATA		1	// host request to receive data
#define HOST_RX_DATA				2	// host has requested to receive data
#define HOST_REQUEST_TX_DATA		3	// host request to transmit data
#define HOST_TX_DATA				4	// host has requested to transmit data

typedef struct
{
  volatile int bCommand;
  unsigned char *buffer;
  volatile int count;
} USB_COMMAND_BLOCK;


#endif /* _USB_BF535CMD */
